Issue 54239 - Can exported HTML files be simplified?
Summary: Can exported HTML files be simplified?
Status: CLOSED DUPLICATE of issue 12299
Alias: None
Product: Writer
Classification: Application
Component: save-export (show other issues)
Version: OOo 2.0 Beta
Hardware: Other Linux, all
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-05 17:08 UTC by cns
Modified: 2017-05-20 10:13 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description cns 2005-09-05 17:08:22 UTC
Hi,

I've been playing around with HTML exports to look for formats I can e-mail to
other people that can be read by any software (so that sadly rules out the
excellent .odt format) but isn't too big as a file. When I have tried exporting
a Writer file as HTML, although it looks fine in a browser, the HTML source
looks something like this:

<P CLASS="western" STYLE="margin-top: 0.2cm; margin-bottom: 0.2cm; font-style:
normal">
<FONT SIZE=2><B>Eddie:</B><SPAN STYLE="font-weight: medium"> Yeah.</SPAN></FONT></P>
<P CLASS="western" STYLE="margin-top: 0.2cm; margin-bottom: 0.2cm; font-style:
normal">
<FONT SIZE=2><B>Jack:</B><SPAN STYLE="font-weight: medium"> I'm Jack.
Jack Matthews. I've been waiting to meet someone like you.</SPAN></FONT></P>

<P CLASS="western" STYLE="margin-top: 0.2cm; margin-bottom: 0.2cm; font-style:
normal">
<FONT SIZE=2><B>Eddie:</B><SPAN STYLE="font-weight: medium"> What's
that supposed to mean.</SPAN></FONT></P>
<P CLASS="western" STYLE="margin-top: 0.2cm; margin-bottom: 0.2cm; font-style:
normal">
<FONT SIZE=2><B>Stephen:</B><SPAN STYLE="font-weight: medium"> Oh,
take no notice of him. He's had a rough time lately. Now where were
we? ... Oh yes. Now, if my memory serves me correctly, you're in here
for burglary.</SPAN></FONT></P>

Now, although these complex HTML tags might be great for reproducing a document
so that it appears in exactly the format in a web browser, all I want is the
basic formatting preserved. I'd much rather have something looking like this:

<P><B>Eddie:</B> Yeah.</P>
<P><B>Jack:</B> I'm Jack. Jack Matthews. I've been waiting to meet someone like
you.</P>
<P><B>Eddie:</B>What's that supposed to mean.</P>
<P><B>Stephen:</B> Oh, take no notice of him. He's had a rough time lately. Now
where were we? ... Oh yes. Now, if my memory serves me correctly, you're in here
for burglary.</P>

... with any instructions for the default formatting encompssing the entire
text. (Apart from the bold, all of the formatting was set as the default font.)

Are all of these tags necessary? If they are, would it be possible to have, say,
an "HTML-lite" option that leaves out some of the longer and less important
tags? (All I'd be really interested in having in an HTML document are tags such
as <P>, <Hx>, <B>, <I> and other similar basic tags.) I can of course remove
these tags manually, but when it's a 65-page document it's a pain to do, and the
size of the file can be halved by leaving out many of these tags. I admit that
I'm worse hit than most people because many of my documents have lots of
one-sentence paragraphs, but can you help me out?

[BTW, I'm using FC4's ediction of Openoffice 1.9.125. Can you clarify how this
fits into the classification of Openoffice 2.0, 2.0 Beta and 2.0 Beta 2, because
I don't know which of these, if any, my build is.]
Comment 1 h.ilter 2005-09-16 12:46:55 UTC
Reassigned to requirements
Comment 2 h.ilter 2005-09-16 12:47:49 UTC
Now.
Comment 3 ace_dent 2008-05-16 01:41:37 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 2+ years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 4 Edwin Sharp 2014-03-23 15:07:41 UTC
Duplicate bug.

*** This issue has been marked as a duplicate of issue 12299 ***